Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class OrderAccess

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.OrderAccess

public class OrderAccess
extends java.lang.Object

OrderAccess
Réalise les opérations relatives à l'ordre des documents dans la base de données
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.2 $
Author:
  Mathieu Larchet

Constructor Summary
`OrderAccess()`

Method Summary
`static void` | `pullDocument(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String order)` Descend la pile de priorité à partir d'un certain rang
`static void` | `pushDocument(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Monte la pile de priorité de 1 rang
`static void` | `swapDocument(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String doc, java.lang.String oldorder, java.lang.String neworder)` Echange le rang de deux documents

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderAccess

    public OrderAccess()

Method Detail

### pushDocument

    public static void pushDocument(org.esupportail.portal.utils.database.Query query,
                                    java.lang.String id)
                             throws DataException

  Monte la pile de priorité de 1 rang

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Throws:
    `DataException`

### pullDocument

    public static void pullDocument(org.esupportail.portal.utils.database.Query query,
                                    java.lang.String id,
                                    java.lang.String order)
                             throws DataException

  Descend la pile de priorité à partir d'un certain rang

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
    `order` - Le rang à partir duquel on travaille
  Throws:
    `DataException`

### swapDocument

    public static void swapDocument(org.esupportail.portal.utils.database.Query query,
                                    java.lang.String id,
                                    java.lang.String doc,
                                    java.lang.String oldorder,
                                    java.lang.String neworder)
                             throws DataException

  Echange le rang de deux documents

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
    `doc` - L'identifiant du document
    `oldorder` - L'ancien rang du document
    `neworder` - Le nouveau rang du document
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD